package de.ivu.elect.presentation.dashboard.entries;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.gebietsbaum.menu.AnzahlWahlberechtigteSearchMenuItemEntry;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.stimmeingabe.menu.StimmeingabeErfassenMenuItemEntry;
import de.ivu.elect.presentation.wahlbeteiligung.menu.GebietWahlbeteiligungEditMenuItemEntry;

public class ErfassungDashboardEntry extends AbstractDashboardEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient AnzahlWahlberechtigteSearchMenuItemEntry anzahlWahlberechtigteSearchMenuItemEntry;

  @Inject
  private transient GebietWahlbeteiligungEditMenuItemEntry gebietWahlbeteiligungEditMenuItemEntry;

//  @Inject
//  private transient StimmzettelSearchMenuItemEntry stimmzettelSearchMenuItemEntry;

  @Inject
  private transient StimmeingabeErfassenMenuItemEntry stimmeingabeErfassenMenuItemEntry;

  @Override
  public String getLegend() {
    return getMessage("dashboard.entry.erfassung");
  }

  @Override
  protected void addProperties(FormBuilder formBuilder) {

  }

  @Override
  public List<AbstractMenuItemEntry> getMenuItemsFirst() {
    List<AbstractMenuItemEntry> result = new ArrayList<>();
    result.add(anzahlWahlberechtigteSearchMenuItemEntry);
    result.add(gebietWahlbeteiligungEditMenuItemEntry);
    // result.add(stimmzettelSearchMenuItemEntry);
    result.add(stimmeingabeErfassenMenuItemEntry);
    return result;
  }

  @Override
  public List<AbstractMenuItemEntry> getMenuItemsLast() {
    return Collections.emptyList();
  }
}
